Tag Parser: TagParser::FlacToOggMappingHeader Class Reference

Tag Parser 12.5.3 C++ library for reading and writing MP4 (iTunes), ID3, Vorbis, Opus, FLAC and Matroska tags

Loading...
Searching...
No Matches
Public Member Functions | List of all members
TagParser::FlacToOggMappingHeader Class Reference

The FlacToOggMappingHeader class is a FLAC-to-Ogg mapping header parser. More...

`#include <flactooggmappingheader.h>`

## Public Member Functions
constexpr | FlacToOggMappingHeader ()
| Constructs a new FLAC identification header.
void | parseHeader (OggIterator &iterator)
| Parses the FLAC-to-Ogg mapping header which is read using the specified iterator.
constexpr std::uint8_t | majorVersion () const
| Returns the major version for the mapping (which should be 1 currently).
constexpr std::uint8_t | minorVersion () const
| Returns the version for the mapping (which should be 0 currently).
constexpr std::uint16_t | headerCount () const
| Returns the number of header (non-audio) packets, not including this one.
constexpr const FlacMetaDataBlockStreamInfo & | streamInfo () const
| Returns the stream info.

## Detailed Description

The FlacToOggMappingHeader class is a FLAC-to-Ogg mapping header parser.

See also
  https://xiph.org/flac/ogg_mapping.html

Definition at line 10 of file flactooggmappingheader.h.

## Constructor & Destructor Documentation

## ◆ FlacToOggMappingHeader()

TagParser::FlacToOggMappingHeader::FlacToOggMappingHeader | ( |  | ) |
| constexpr

Constructs a new FLAC identification header.

Definition at line 31 of file flactooggmappingheader.h.

## Member Function Documentation

## ◆ headerCount()

std::uint16_t TagParser::FlacToOggMappingHeader::headerCount | ( |  | ) | const
| constexpr

Returns the number of header (non-audio) packets, not including this one.

Definition at line 57 of file flactooggmappingheader.h.

## ◆ majorVersion()

std::uint8_t TagParser::FlacToOggMappingHeader::majorVersion | ( |  | ) | const
| constexpr

Returns the major version for the mapping (which should be 1 currently).

Definition at line 41 of file flactooggmappingheader.h.

## ◆ minorVersion()

std::uint8_t TagParser::FlacToOggMappingHeader::minorVersion | ( |  | ) | const
| constexpr

Returns the version for the mapping (which should be 0 currently).

Definition at line 49 of file flactooggmappingheader.h.

## ◆ parseHeader()

void TagParser::FlacToOggMappingHeader::parseHeader | ( | OggIterator & | iterator | ) |

Parses the FLAC-to-Ogg mapping header which is read using the specified iterator.

Remarks
  The header is assumed to start at the current position of iterator.

Definition at line 24 of file flactooggmappingheader.cpp.

## ◆ streamInfo()

const FlacMetaDataBlockStreamInfo & TagParser::FlacToOggMappingHeader::streamInfo | ( |  | ) | const
| constexpr

Returns the stream info.

Definition at line 65 of file flactooggmappingheader.h.

The documentation for this class was generated from the following files:

- flac/flactooggmappingheader.h
- flac/flactooggmappingheader.cpp